Debian Bug report logs - #632494
darcs: FTBFS (tests fail)

version graph

Package: darcs; Maintainer for darcs is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for darcs is src:darcs.

Reported by: Julien Cristau <jcristau@debian.org>

Date: Sat, 2 Jul 2011 20:36:01 UTC

Severity: serious

Found in version darcs/2.5.2-2

Fixed in version 2.5.2-6

Done: Iain Lane <laney@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Trent W. Buck <trentbuck@gmail.com>:
Bug#632494; Package darcs. (Sat, 02 Jul 2011 20:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to Trent W. Buck <trentbuck@gmail.com>. (Sat, 02 Jul 2011 20:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: darcs: FTBFS (tests fail)
Date: Sat, 2 Jul 2011 22:32:17 +0200
Package: darcs
Version: 2.5.2-2
Severity: serious

darcs FTBFS on almost all architectures:
https://buildd.debian.org/status/package.php?p=darcs

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Trent W. Buck <trentbuck@gmail.com>:
Bug#632494; Package darcs. (Sun, 10 Jul 2011 01:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and forwarded to list. Copy sent to Trent W. Buck <trentbuck@gmail.com>. (Sun, 10 Jul 2011 01:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 632494@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: 632494@bugs.debian.org
Subject: FTBFS on smd64 if /bin/sh -> dash
Date: Sun, 10 Jul 2011 11:23:19 +1000
Hi,

I get a FTBFS even on amd64 if /bin/sh is dash instead of bash. Its
the same test that fails:

    issue1763-pull-fails-on-non-ascii-filenames.sh

Erik
-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 26 Sep 2011 01:06:47 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Mon, 26 Sep 2011 16:21:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Trent W. Buck <trentbuck@gmail.com>:
Bug#632494; Package darcs. (Mon, 26 Sep 2011 21:27:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to Trent W. Buck <trentbuck@gmail.com>. (Mon, 26 Sep 2011 21:27:34 GMT) Full text and rfc822 format available.

Message #19 received at 632494@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: 632494@bugs.debian.org
Subject: Different error...
Date: Mon, 26 Sep 2011 23:20:56 +0200
Hello,

I was trying to check whether this bug was caused by #642922, and I got
a different error:

> ghc --make Setup
> [1 of 2] Compiling Distribution.ShellHarness ( Distribution/ShellHarness.hs, Distribution/ShellHarness.o )
> [2 of 2] Compiling Main             ( Setup.lhs, Setup.o )
> 
> Setup.lhs:10:34:
>     Warning: In the use of `runTests'
>              (imported from Distribution.Simple, but defined in Distribution.Simple.UserHooks):
>              Deprecated: "Please use the new testing interface instead!"
> Linking Setup ...
> ./Setup configure --prefix=/usr -fcurl-pipelining  -f-library --ghc-options="+RTS -V0 -RTS"
> Configuring darcs-2.5.2...
> Setup: At least the following dependencies are missing:
> regex-compat >=0.71 && <0.94
> make[1]: *** [override_dh_auto_configure] Error 1
> make[1]: Leaving directory `/tmp/darcs-2.5.2'
> make: *** [build] Error 2
> dpkg-buildpackage: error: debian/rules build gave error exit status 2
> debuild: fatal error at line 1348:
> dpkg-buildpackage -rfakeroot -D -us -uc failed


Cheers,

-- 
Stéphane





Information forwarded to debian-bugs-dist@lists.debian.org, Trent W. Buck <trentbuck@gmail.com>:
Bug#632494; Package darcs. (Mon, 26 Sep 2011 21:27:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Trent W. Buck <trentbuck@gmail.com>. (Mon, 26 Sep 2011 21:27:36 GMT) Full text and rfc822 format available.

Message #24 received at 632494@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Erik de Castro Lopo <erikd@mega-nerd.com>, 632494@bugs.debian.org
Subject: Re: Bug#632494: FTBFS on smd64 if /bin/sh -> dash
Date: Mon, 26 Sep 2011 22:54:44 +0200
On  0, Erik de Castro Lopo <erikd@mega-nerd.com> wrote:
> 
> I get a FTBFS even on amd64 if /bin/sh is dash instead of bash. Its
> the same test that fails:
> 
>     issue1763-pull-fails-on-non-ascii-filenames.sh
> 

I saw that you worked around these failures by s@/bin/sh@/bin/bash.  I
think that this is not the right fix. The real problem is in dash, not
in darcs. The next upload of dash should fix this problem (there is
nothing to change in darcs's sources, imho). For more details, you can
have a look at #642922.

Can you please test again (with a fixed dash) and report back?

Regards,

-- 
Mehdi Dogguy




Information forwarded to debian-bugs-dist@lists.debian.org, Trent W. Buck <trentbuck@gmail.com>:
Bug#632494; Package darcs. (Mon, 26 Sep 2011 22:01:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@debian.org>:
Extra info received and forwarded to list. Copy sent to Trent W. Buck <trentbuck@gmail.com>. (Mon, 26 Sep 2011 22:01:14 GMT) Full text and rfc822 format available.

Message #29 received at 632494@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@debian.org>
To: Mehdi Dogguy <mehdi@dogguy.org>, 632494@bugs.debian.org
Cc: Erik de Castro Lopo <erikd@mega-nerd.com>
Subject: Re: Bug#632494: FTBFS on smd64 if /bin/sh -> dash
Date: Mon, 26 Sep 2011 22:41:45 +0100
[Message part 1 (text/plain, inline)]
Hello,

On Mon, Sep 26, 2011 at 10:54:44PM +0200, Mehdi Dogguy wrote:
> On  0, Erik de Castro Lopo <erikd@mega-nerd.com> wrote:
> > 
> > I get a FTBFS even on amd64 if /bin/sh is dash instead of bash. Its
> > the same test that fails:
> > 
> >     issue1763-pull-fails-on-non-ascii-filenames.sh
> > 
> 
> I saw that you worked around these failures by s@/bin/sh@/bin/bash.  I
> think that this is not the right fix. The real problem is in dash, not
> in darcs. The next upload of dash should fix this problem (there is
> nothing to change in darcs's sources, imho). For more details, you can
> have a look at #642922.
> 
> Can you please test again (with a fixed dash) and report back?

Yeah, for sure. Thanks for the heads up: it was only intended to be a
workaround anyway. If the fix is good then we'll revert the patch. :-)

Or: feel free to do it yourself. I'm relatively relaxed about you
uploading a re-fixed darcs if you want.

Cheers,

-- 
Iain Lane                                  [ iain@orangesquash.org.uk ]
Debian Developer                                   [ laney@debian.org ]
Ubuntu Developer                                   [ laney@ubuntu.com ]
PhD student                                       [ ial@cs.nott.ac.uk ]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Trent W. Buck <trentbuck@gmail.com>:
Bug#632494; Package darcs. (Mon, 26 Sep 2011 22:01:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@debian.org>:
Extra info received and forwarded to list. Copy sent to Trent W. Buck <trentbuck@gmail.com>. (Mon, 26 Sep 2011 22:01:18 GMT) Full text and rfc822 format available.

Message #34 received at 632494@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@debian.org>
To: Stéphane Glondu <glondu@debian.org>, 632494@bugs.debian.org
Subject: Re: Bug#632494: Different error...
Date: Mon, 26 Sep 2011 22:46:36 +0100
[Message part 1 (text/plain, inline)]
On Mon, Sep 26, 2011 at 11:20:56PM +0200, Stéphane Glondu wrote:
> Hello,
> 
> I was trying to check whether this bug was caused by #642922, and I got
> a different error:
> 
> > Linking Setup ...
> > ./Setup configure --prefix=/usr -fcurl-pipelining  -f-library --ghc-options="+RTS -V0 -RTS"
> > Configuring darcs-2.5.2...
> > Setup: At least the following dependencies are missing:
> > regex-compat >=0.71 && <0.94
> > [...]

That's fixed in darcs (darcs' darcs repo? hah) and is #642710. You can
just hack the .cabal file to accept 0.95.1 which is in sid and it should
work for you.

Regards,

-- 
Iain Lane                                  [ iain@orangesquash.org.uk ]
Debian Developer                                   [ laney@debian.org ]
Ubuntu Developer                                   [ laney@ubuntu.com ]
PhD student                                       [ ial@cs.nott.ac.uk ]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Trent W. Buck <trentbuck@gmail.com>:
Bug#632494; Package darcs. (Tue, 27 Sep 2011 06:40:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stéphane Glondu <glondu@debian.org>:
Extra info received and forwarded to list. Copy sent to Trent W. Buck <trentbuck@gmail.com>. (Tue, 27 Sep 2011 06:40:03 GMT) Full text and rfc822 format available.

Message #39 received at 632494@bugs.debian.org (full text, mbox):

From: Stéphane Glondu <glondu@debian.org>
To: Iain Lane <laney@debian.org>
Cc: 632494@bugs.debian.org
Subject: Re: Bug#632494: Different error...
Date: Tue, 27 Sep 2011 08:34:03 +0200
Le 26/09/2011 23:46, Iain Lane a écrit :
> That's fixed in darcs (darcs' darcs repo? hah) and is #642710. You can
> just hack the .cabal file to accept 0.95.1 which is in sid and it should
> work for you.

I tried after applying patch:

> http://anonscm.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/darcs;a=commitdiff;h=20110924200400-ce43c-85b0eece832349b09f3852a1c2a7109cc7e5dfcb.gz

and it fails with the error:

> Running unrevert-replace-moved.sh ...            passed.
> Running unrevert.sh ...                          passed.
> Running unrevert_cancel.sh ...                   passed.
> Running utf8.sh ...                              skipped.
> Running what_sl.sh ...                           passed.
> Running whatsnew-file.sh ...                     passed.
> Running whatsnew-pending.sh ...                  passed.
> Running whatsnew.sh ...                          passed.
> Running workingdir.sh ...                        passed.
> Some tests failed:
> printer.sh
> Setup: Tests failed
> make[1]: *** [override_dh_auto_test] Error 1
> make[1]: Leaving directory `/tmp/darcs-2.5.2'
> make: *** [build] Error 2
> dpkg-buildpackage: error: debian/rules build gave error exit status 2
> debuild: fatal error at line 1348:
> dpkg-buildpackage -rfakeroot -D -us -uc failed

before and after applying the patch from #642922 to dash.


Cheers,

-- 
Stéphane





Reply sent to Iain Lane <laney@debian.org>:
You have taken responsibility. (Tue, 27 Sep 2011 19:03:05 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Tue, 27 Sep 2011 19:03:05 GMT) Full text and rfc822 format available.

Message #44 received at 632494-close@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@debian.org>
To: 632494-close@bugs.debian.org
Subject: Bug#632494: fixed in darcs 2.5.2-3
Date: Tue, 27 Sep 2011 19:02:30 +0000
Source: darcs
Source-Version: 2.5.2-3

We believe that the bug you reported is fixed in the latest version of
darcs, which is due to be installed in the Debian FTP archive:

darcs_2.5.2-3.debian.tar.gz
  to main/d/darcs/darcs_2.5.2-3.debian.tar.gz
darcs_2.5.2-3.dsc
  to main/d/darcs/darcs_2.5.2-3.dsc
darcs_2.5.2-3_amd64.deb
  to main/d/darcs/darcs_2.5.2-3_amd64.deb
libghc-darcs-dev_2.5.2-3_amd64.deb
  to main/d/darcs/libghc-darcs-dev_2.5.2-3_amd64.deb
libghc-darcs-doc_2.5.2-3_all.deb
  to main/d/darcs/libghc-darcs-doc_2.5.2-3_all.deb
libghc-darcs-prof_2.5.2-3_amd64.deb
  to main/d/darcs/libghc-darcs-prof_2.5.2-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 632494@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Iain Lane <laney@debian.org> (supplier of updated darcs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 25 Sep 2011 11:38:51 +0100
Source: darcs
Binary: darcs libghc-darcs-dev libghc-darcs-prof libghc-darcs-doc
Architecture: source all amd64
Version: 2.5.2-3
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Iain Lane <laney@debian.org>
Description: 
 darcs      - distributed, interactive, smart revision control system
 libghc-darcs-dev - distributed, interactive, smart revision control system; library
 libghc-darcs-doc - distributed, interactive, smart revision control system; document
 libghc-darcs-prof - distributed, interactive, smart revision control system; profilin
Closes: 624162 632494 642710
Changes: 
 darcs (2.5.2-3) unstable; urgency=low
 .
   [ Erik de Castro Lopo ]
   * debian/control:
     - Standards version 3.9.2 (no changes)
     - Fix uploaders line
 .
   [ Iain Lane ]
   * Adopt for the DHG with Erik as uploader (Closes: #624162)
   * Bump required versions on regex-{compat,posix} to those in Debian. Patch
     cherry-picked from upstream. (Closes: #642710)
   * Explicitly use /bin/bash for tests; works around failure on buildds with
     dash (Closes: #632494)
   * Convert to CDBS with hlibrary.mk and build darcs library packages
   * Update d/copyright
Checksums-Sha1: 
 53421f756a650cff0bfa99a6711e57a2fc6c3441 3179 darcs_2.5.2-3.dsc
 d6d9050d7fb8070a46533463df0629b53441c39b 17036 darcs_2.5.2-3.debian.tar.gz
 12ae359c7853739df79167da417b3e2e0b2b778c 1155806 libghc-darcs-doc_2.5.2-3_all.deb
 52f3c75dc789407b98b211140a342e108be2970e 2525150 darcs_2.5.2-3_amd64.deb
 e842dfe14aab8e69aa5974ab2b6f62facf8d2aea 5227806 libghc-darcs-dev_2.5.2-3_amd64.deb
 36844a2e6417e4bfc392292f48070bacf2d4d1dd 7735070 libghc-darcs-prof_2.5.2-3_amd64.deb
Checksums-Sha256: 
 f7c1a89660fc4d02c151484fac0df2057bb8e58cfec4866dddf08158a7a1d395 3179 darcs_2.5.2-3.dsc
 7117a3406db699707d4d11199ae56ab1f691e448b3f7a92b0cdb06fc76ece321 17036 darcs_2.5.2-3.debian.tar.gz
 47c2a304fad065be683459a846277c1e40532f5dae4bc4cbae6a3ce33ff0a10b 1155806 libghc-darcs-doc_2.5.2-3_all.deb
 58f1bab0ad7502f84e2a6811ef5a62f1271b3dda2815f1cde0539744159073d1 2525150 darcs_2.5.2-3_amd64.deb
 c69cf521d2644fde899b7ae5dfbc90e0b70d4409e25bd1dac84594d22d5b88d3 5227806 libghc-darcs-dev_2.5.2-3_amd64.deb
 2e66fe534407da7b453a1febba3e039cd3237afcbb6e95fd13a17c4a93af7fdb 7735070 libghc-darcs-prof_2.5.2-3_amd64.deb
Files: 
 63542fdbe43d2cc59fd8a0a401a10766 3179 haskell optional darcs_2.5.2-3.dsc
 5d5b6ee45bd2e0e155aa6a1b5c2eacd1 17036 haskell optional darcs_2.5.2-3.debian.tar.gz
 f7e2e710282221f1962c8b45ac029069 1155806 doc optional libghc-darcs-doc_2.5.2-3_all.deb
 8e795c7f6caf729bf452539ffbeface3 2525150 vcs optional darcs_2.5.2-3_amd64.deb
 b505693ec0630e454b7755e833b7bbc7 5227806 haskell optional libghc-darcs-dev_2.5.2-3_amd64.deb
 ad6915d3993581214cadd29a5e6c8864 7735070 haskell optional libghc-darcs-prof_2.5.2-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOfwm0AAoJEONS1cUcUEHUsPMP/itMJgTVeSMmfWerBKdkYLAf
Q0LCn71XDVKFB3zFq0lJPvJ8aXf03mxdxhmWdKET/dQv9PKzNIO0NL74kFVJbs4k
7piRDw1PJQWiYjG+wOJx/lFJfn0QOOaG+Kd6c/vG0RnjccZVenAFSXbDWOcyLG6h
HnmsQZMcSO8VHfzQQtxNdopXEB1s/ob9YyhvC3aP6smY8IZ+W+4QLtBTsg4lUK4Q
D3pOh/mR/M649/pehVQlKJNxIyKlRTokZjnXXJHkaVeYWwQirBv2oO3LWXb0i3zt
j6/R2el3+b1rjNXb23mO8nu1E0I1TSYjkGzPzrZS+ts4kD7uvY6BtfJa+xttmiv5
X8baG+nO7qxlFt9C+ysFZPUtKkg0ZFJI1Fj7p8NxOXA/jhJ1BX11LddifNOZw9A6
HklzTjAD3uF0pAP9d0G2LquM8HdRXCNRY0C1bFW83FK597PxFuLl9ighalxxwMUi
iheAYUkiOWEX2dg4PDCedvACBbbuFeBxsqGdRPjOIGdofvXe6sFIB1843wZb9u6X
9EASWHxHoMvxNNux5KONupUlpHJcsbwx1HGgEj48dOz4x3pAMQT+4naBzoLbKA/O
efCe0+YGVHnB3/7QPvqpTZaKfNzTC7hiAiETuii+xAY+QHhow2T2EaSJvmrWRlQ5
JNH72O30KYkl0ozTyD8Z
=aDxw
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Trent W. Buck <trentbuck@gmail.com>:
Bug#632494; Package darcs. (Tue, 27 Sep 2011 21:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Iain Lane <laney@debian.org>:
Extra info received and forwarded to list. Copy sent to Trent W. Buck <trentbuck@gmail.com>. (Tue, 27 Sep 2011 21:13:16 GMT) Full text and rfc822 format available.

Message #49 received at 632494@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@debian.org>
To: 632494@bugs.debian.org
Subject: Re: Bug#632494 closed by Iain Lane <laney@debian.org> (Bug#632494: fixed in darcs 2.5.2-3)
Date: Tue, 27 Sep 2011 22:09:22 +0100
[Message part 1 (text/plain, inline)]
reopen 632494 =
thanks

Hello,

On Tue, Sep 27, 2011 at 07:03:05PM +0000, Debian Bug Tracking System wrote:
> […] 
> We believe that the bug you reported is fixed in the latest version of
> darcs, which is due to be installed in the Debian FTP archive:

No, it clearly was not. Reopening.

Cheers,

-- 
Iain Lane                                  [ iain@orangesquash.org.uk ]
Debian Developer                                   [ laney@debian.org ]
Ubuntu Developer                                   [ laney@ubuntu.com ]
PhD student                                       [ ial@cs.nott.ac.uk ]
[signature.asc (application/pgp-signature, inline)]

Bug No longer marked as fixed in versions darcs/2.5.2-3 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Sep 2011 21:14:52 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#632494; Package darcs. (Fri, 30 Sep 2011 23:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik de Castro Lopo <erikd@mega-nerd.com>:
Extra info received and forwarded to list. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Fri, 30 Sep 2011 23:33:03 GMT) Full text and rfc822 format available.

Message #56 received at 632494@bugs.debian.org (full text, mbox):

From: Erik de Castro Lopo <erikd@mega-nerd.com>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 632494@bugs.debian.org
Subject: Re: Bug#632494: FTBFS on smd64 if /bin/sh -> dash
Date: Sat, 1 Oct 2011 09:24:04 +1000
Mehdi Dogguy wrote:

> On  0, Erik de Castro Lopo <erikd@mega-nerd.com> wrote:
> > 
> > I get a FTBFS even on amd64 if /bin/sh is dash instead of bash. Its
> > the same test that fails:
> > 
> >     issue1763-pull-fails-on-non-ascii-filenames.sh
> > 
> 
> I saw that you worked around these failures by s@/bin/sh@/bin/bash.  I
> think that this is not the right fix. The real problem is in dash, not
> in darcs. The next upload of dash should fix this problem (there is
> nothing to change in darcs's sources, imho). For more details, you can
> have a look at #642922.
> 
> Can you please test again (with a fixed dash) and report back?

I've just looked at #642922 which states that this should be fixed in
dash 0.5.7-2. I am running that version and I disabled the tests-use-bash
is the darcs patches and it now fails again with:


   Running issue1763-pull-fails-on-non-ascii-filenames.sh ...hlibrary.setup: interrupted
   make: *** [build/libghc-darcs-dev] Error 1

Re-enabling the tests-use-bash patch and the package builds. There
is still some important difference between dash and bash.

Erik
-- 
----------------------------------------------------------------------
Erik de Castro Lopo
http://www.mega-nerd.com/




Reply sent to Iain Lane <laney@debian.org>:
You have taken responsibility. (Tue, 11 Oct 2011 09:45:25 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Tue, 11 Oct 2011 09:45:27 GMT) Full text and rfc822 format available.

Message #61 received at 632494-done@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@debian.org>
To: 632494-done@bugs.debian.org
Subject: Done...
Date: Tue, 11 Oct 2011 10:36:17 +0100
[Message part 1 (text/plain, inline)]
Version: 2.5.2-6

Hi,

Fixed by (a) fixing haskell-hashed-storage and (b) disabling another
buggy test.

Thanks for your report.

Cheers,

-- 
Iain Lane                                  [ iain@orangesquash.org.uk ]
Debian Developer                                   [ laney@debian.org ]
Ubuntu Developer                                   [ laney@ubuntu.com ]
PhD student                                       [ ial@cs.nott.ac.uk ]
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 09 Nov 2011 07:38:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:51:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.